Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Public Member Functions | Protected Attributes
tlp::GridOptionsWidget Class Reference

Widget for displaying a grid on the graph. More...

`#include <GridOptionsWidget.h>`

Collaboration diagram for tlp::GridOptionsWidget:
[legend]

List of all members.

## Public Slots

- void validateGrid ()
- void chGridSubdivisions ()
- void chGridSize ()
- void chDisplayGrid ()

## Public Member Functions

- GridOptionsWidget (QWidget *parent=NULL)
- ~GridOptionsWidget ()
- void setCurrentMainWidget (GlMainWidget *graphWidget)
- void setCurrentRenderingParametersDialog (RenderingParametersDialog *paramDialog)

## Protected Attributes

- GlMainWidget * glMainWidget
- RenderingParametersDialog * paramDialog
- tlp::GlGrid * grid

## Detailed Description

Widget for displaying a grid on the graph.

This class is a widget accessible from the interface of Tulip Software. It is used to display a grid with some options.

You can, first, choose which type of cell you'll have :

- Subdivisions cells are computed by taking the whole length of each axis of the graph, andby dividing them.
- Sized cells are directly computed with the size you indicate.

Other options are available :

- Display Dimensions : Allows the user to choose on which dimensions the grid will be displayed.

## Constructor & Destructor Documentation

tlp::GridOptionsWidget::GridOptionsWidget | ( | QWidget * | parent = `NULL` | ) |

Constructor.

tlp::GridOptionsWidget::~GridOptionsWidget | ( |  | ) |

Destructor.

## Member Function Documentation

void tlp::GridOptionsWidget::chDisplayGrid | ( |  | ) | `[slot]`

Function used to change on which axis will be displayed the grid.

void tlp::GridOptionsWidget::chGridSize | ( |  | ) | `[slot]`

Function used to enable the panel "Size"

void tlp::GridOptionsWidget::chGridSubdivisions | ( |  | ) | `[slot]`

Function used to enable the panel "Subdivision"

void tlp::GridOptionsWidget::setCurrentMainWidget | ( | GlMainWidget * | graphWidget | ) |

Function used to define on which GlMainWidget we are working

void tlp::GridOptionsWidget::setCurrentRenderingParametersDialog | ( | RenderingParametersDialog * | paramDialog | ) |

Function used to define on which RenderingParametersDialog we are working

void tlp::GridOptionsWidget::validateGrid | ( |  | ) | `[slot]`

Function used to compute the grid and close the widget (Button OK).

## Member Data Documentation

GlMainWidget* tlp::GridOptionsWidget::glMainWidget`[protected]`

The considered GlMainWidget

tlp::GlGrid* tlp::GridOptionsWidget::grid`[protected]`

The considered GlADGrid

RenderingParametersDialog* tlp::GridOptionsWidget::paramDialog`[protected]`

The considered RenderingParametersDialog

Tulip Software by LaBRI Visualization Team 2001 - 2012